__copyright__ = "Copyright (c) 2016 CollabNet, Inc. All rights reserved."

from app.scripts import BaseCreateRuntimeScript
from app.linuxservice import ServiceManager

class CreateRuntimeScript(BaseCreateRuntimeScript):

    scriptDescription = "Disable rabbitmq systemd/init.d service"

    def createRuntime(self):
        rabbitmqService = ServiceManager.getService('rabbitmq', self.log)
      
        if rabbitmqService.isEnabled():
            rabbitmqService.disable()
            warn = True
