__copyright__ = "Copyright (c) 2016 CollabNet, Inc. All rights reserved."

from app.scripts import BaseCreateRuntimeScript
import app.util
import app.batch
import os

class CreateRuntimeScript(BaseCreateRuntimeScript):

    scriptDescription = "Enable RabbitMQ plugins"

    def createRuntime(self):
        rabbitmqPluginsEnableCmd  = " ".join(['/usr/lib/rabbitmq/bin/rabbitmq-plugins',
                                              'enable',
                                              'rabbitmq_shovel', 
                                              'rabbitmq_shovel_management',
                                              'rabbitmq_management', 
                                              '--offline',
                                              '>/dev/null',
                                              '2>&1'])

        app.util.runSystem(rabbitmqPluginsEnableCmd, self.log)